<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

class ConnectPayLog extends ObjectModel
{
    public $message;

    public $date_add;

    public $payload;

    public static $definition = [
        'table' => 'connectpay_log',
        'primary' => 'id_connectpay_log',
        'fields' => [
            'message' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'payload' => ['type' => self::TYPE_INT, 'validate' => 'isInt'],
            'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
        ],
    ];
}
