<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

namespace Invertus\ConnectPay\Infrastructure\Adapter;

use TabCore as PrestashopTab;

class Tab
{
    public function initTab(int $idTab = null): PrestashopTab
    {
        return new PrestashopTab($idTab);
    }

    public function getIdFromClassName(?string $parent): ?int
    {
        $tabId = (int) PrestashopTab::getIdFromClassName($parent);

        if (!$tabId) {
            return null;
        }

        return $tabId;
    }
}
