<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Bootstrap;

use Invertus\ConnectPay\Exception\ConnectPayException;

class ApplicationBootstrapException extends ConnectPayException
{
    public const FAILED_TO_INSTALL_MODULE_HOOK = 2;
    public const FAILED_TO_INSTALL_MODULE_DATABASE_TABLE = 3;
    public const FAILED_TO_UNINSTALL_MODULE_DATABASE_TABLE = 4;
    public const FAILED_TO_PRELOAD_MODULE_WITH_DEFAULT_DATA = 5;
    public const FAILED_TO_INSTALL_MODULE_TABS = 6;
    public const FAILED_TO_UNINSTALL_MODULE_TABS = 7;
    public const FAILED_TO_LOGOUT = 8;
    public const FAILED_TO_INSTALL_ORDER_STATE = 9;
}
