<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\Infrastructure\Context;

/**
 * Gets shop context data
 */
interface GlobalShopContextInterface
{
    public function getShopId(): int;

    public function getLanguageId(): int;

    public function getCurrencyIso(): string;

    public function getShopDomain(): string;

    public function getShopName(): string;
}
