{**
* NOTICE OF LICENSE
*
* @author    Connectpay  <https://connectpay.com/
* @copyright Copyright (c) permanent, ConnectPay Inc.
* @license   Apache License
*
* @see       /LICENSE
*
*  International Registered Trademark & Property of ConnectPay Inc.
*}

{extends file="helpers/options/options.tpl"}

{block name="input" append}
    {if $field['type'] == 'desc'}
        <div class="col-lg-5 {if isset($field['class'])}{$field['class']|escape:'htmlall':'UTF-8'}{/if}">
            {if $field['template'] == 'field-module-set-up.tpl'}
                {include file="../../../partials/field-module-set-up.tpl"}
            {/if}

            {if $field['template'] == 'field-connectpay-values-help.tpl'}
                {include file="../../../partials/field-connectpay-values-help.tpl"}
            {/if}

            {if $field['template'] == 'field-private-key-help.tpl'}
                {include file="../../../partials/field-private-key-help.tpl"}
            {/if}

            {if $field['template'] == 'cron-config-help.tpl'}
                {include file="../../../partials/cron-config-help.tpl"}
            {/if}

            {if $field['template'] == 'field-display-all-banks-description.tpl'}
                {include file="../../../partials/field-display-all-banks-description.tpl"}
            {/if}

            {if $field['template'] == 'field-display-all-banks.tpl'}
                {include file="../../../partials/field-display-all-banks.tpl"}
            {/if}
        </div>
    {/if}
{/block}